Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GrayScaleImage Class Reference

Platform independend definition of an image class. More...

`#include <GrayScaleImage.h>`

Collaboration diagram for GrayScaleImage:

[legend]
List of all members.

## Public Member Functions
| GrayScaleImage ()
| constructs an image
| ~GrayScaleImage ()
| deconstructs an image
void | copyChannel (const Image &yuvImage, int channel)
GrayScaleImage & | operator= (const GrayScaleImage &other)
## Public Attributes
CameraInfo | cameraInfo
unsigned char | image [cameraResolutionHeight_ERS7][cameraResolutionWidth_ERS7]

## Detailed Description

Platform independend definition of an image class.

Definition at line 22 of file GrayScaleImage.h.

## Constructor & Destructor Documentation

GrayScaleImage::GrayScaleImage | ( |  | ) |

| constructs an image Definition at line 11 of file GrayScaleImage.cpp. References cameraInfo, CameraInfo::resolutionHeight, and CameraInfo::resolutionWidth.

GrayScaleImage::~GrayScaleImage | ( |  | ) |

| deconstructs an image Definition at line 20 of file GrayScaleImage.cpp.

## Member Function Documentation

void GrayScaleImage::copyChannel | ( | const Image & | yuvImage,
|  | int | channel
| ) |

| Definition at line 24 of file GrayScaleImage.cpp. References cameraInfo, Image::cameraInfo, Image::image, CameraInfo::resolutionHeight, and CameraInfo::resolutionWidth.

GrayScaleImage& GrayScaleImage::operator= | ( | const GrayScaleImage & | other | ) | `[inline]`

| Definition at line 33 of file GrayScaleImage.h.

## Member Data Documentation

CameraInfo GrayScaleImage::cameraInfo

| Definition at line 38 of file GrayScaleImage.h. Referenced by copyChannel(), GrayScaleImage(), operator<<(), and operator>>().

unsigned char GrayScaleImage::image[cameraResolutionHeight_ERS7][cameraResolutionWidth_ERS7]

| Definition at line 39 of file GrayScaleImage.h. Referenced by operator<<(), and operator>>().

The documentation for this class was generated from the following files:

- Representations/Perception/GrayScaleImage.h
- Representations/Perception/GrayScaleImage.cpp